---
title: Update an Idea
description: Update an idea using its UUID.
url: https://storyblok.com/docs/api/management/ideation-room/update-an-idea
---

# Update an Idea

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/ideas/:idea_id
```

Update an idea using its UUID.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space.
    
-   `:idea_uuid` (required) (string)
    
    UUID of the idea.
    

## Request body properties

-   `idea` (object)
    
    A single [idea object](/docs/api/management/ideation-room/the-ideation-room-object).
    
    Show child properties
    
    -   `name` (string)
        
        Name of the idea.
        
    -   `description` (string)
        
        Description of the idea.
        
    -   `content` (object)
        
        Content of the idea as a JSON object.
        
    -   `status` (string)
        
        Status of the idea.
        
    -   `is_private` (boolean)
        
        Whether the idea is private.
        
    -   `story_ids` (integer\[\])
        
        List of story IDs to link to the idea.
        
    -   `internal_tag_ids` (integer\[\])
        
        List of internal tag IDs to assign to the idea.
        
    -   `assignee_id` (integer)
        
        Numeric user ID of the collaborator to assign to the idea. To retrieve a user’s ID, use the [retrieve multiple collaborators](/docs/api/management/collaborators/retrieve-multiple-collaborators) endpoint.
        
    -   `bookmarks` (object\[\])
        
        Bookmark URLs linked to the idea.
        
        Show child properties
        
        -   `_uid` (string)
            
            UUID of the bookmark.
            
        -   `link` (string)
            
            URL of the bookmark.
            
        -   `label` (string)
            
            Display name of the bookmark.
            
        
    

## Response properties

-   `idea` (object)
    
    A single [idea object](/docs/api/management/ideation-room/the-ideation-room-object).
    
    Show child properties
    
    -   `id` (string)
        
        UUID of the idea.
        
    -   `name` (string)
        
        Name of the idea.
        
    -   `description` (string)
        
        Description of the idea.
        
    -   `content` (object)
        
        Content of the idea as a JSON object.
        
    -   `status` (string)
        
        Status of the idea.
        
    -   `is_private` (boolean)
        
        Whether the idea is private.
        
    -   `story_ids` (integer\[\])
        
        List of linked story IDs.
        
    -   `internal_tag_ids` (integer\[\])
        
        List of internal tag IDs assigned to the idea.
        
    -   `internal_tags_list` (object\[\])
        
        List of internal tag objects assigned to the idea.
        
        Show child properties
        
        -   `id` (integer)
            
            Numeric ID of the tag.
            
        -   `name` (string)
            
            Name of the tag.
            
        
    -   `bookmarks` (object\[\])
        
        Bookmark URLs linked to the idea.
        
        Show child properties
        
        -   `_uid` (string)
            
            UUID of the bookmark.
            
        -   `link` (string)
            
            URL of the bookmark.
            
        -   `label` (string)
            
            Display name of the bookmark.
            
        
    -   `created_at` (string)
        
        Creation timestamp.
        
    -   `updated_at` (string)
        
        Last update timestamp.
        
    -   `deleted_at` (string)
        
        Deletion timestamp, or `null` if the idea has not been deleted.
        
    -   `author` (object)
        
        Collaborator who created the idea.
        
        Show child properties
        
        -   `id` (integer)
            
            Numeric ID of the collaborator.
            
        -   `userid` (string)
            
            User ID of the collaborator.
            
        -   `friendly_name` (string)
            
            Friendly name of the collaborator.
            
        -   `avatar` (string)
            
            Avatar URL of the collaborator.
            
        
    -   `assignee` (object)
        
        Collaborator assigned to the idea, or `null` if unassigned. Set via `assignee_id` in the request body.
        
        Show child properties
        
        -   `id` (integer)
            
            Numeric ID of the collaborator.
            
        -   `userid` (string)
            
            User ID of the collaborator.
            
        -   `friendly_name` (string)
            
            Friendly name of the collaborator.
            
        -   `avatar` (string)
            
            Avatar URL of the collaborator.
            
        
    -   `stories` (object\[\])
        
        Stories linked to the idea via `story_ids`.
        
        Show child properties
        
        -   `id` (integer)
            
            Numeric ID of the story.
            
        -   `name` (string)
            
            Name of the story.
            
        -   `full_slug` (string)
            
            Full slug of the story.
            
        
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"idea\":{\"assignee_id\":null,\"bookmarks\":[],\"content\":{},\"description\":\"First idea\",\"internal_tag_ids\":[12345],\"is_private\":true,\"name\":\"My first idea\",\"status\":\"draft\",\"story_ids\":[]}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n', {
        "idea": {
          "assignee_id": null,
          "bookmarks": [],
          "content": {},
          "description": "First idea",
          "internal_tag_ids": [
            12345
          ],
          "is_private": true,
          "name": "My first idea",
          "status": "draft",
          "story_ids": []
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["idea" => ["assignee_id" => null,"bookmarks" => [],"content" => [],"description" => "First idea","internal_tag_ids" => [12345],"is_private" => true,"name" => "My first idea","status" => "draft","story_ids" => []]];
    
    $client->put('spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"idea":{"assignee_id":null,"bookmarks":[],"content":{},"description":"First idea","internal_tag_ids":[12345],"is_private":true,"name":"My first idea","status":"draft","story_ids":[]}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"idea\":{\"assignee_id\":null,\"bookmarks\":[],\"content\":{},\"description\":\"First idea\",\"internal_tag_ids\":[12345],\"is_private\":true,\"name\":\"My first idea\",\"status\":\"draft\",\"story_ids\":[]}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n"
    
    querystring = {}
    
    payload = {"idea":{"assignee_id":null,"bookmarks":[],"content":{},"description":"First idea","internal_tag_ids":[12345],"is_private":true,"name":"My first idea","status":"draft","story_ids":[]}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"idea" => {"assignee_id" => null,"bookmarks" => [],"content" => {},"description" => "First idea","internal_tag_ids" => [12345],"is_private" => true,"name" => "My first idea","status" => "draft","story_ids" => []}}
    
    client.put('spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n")
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "idea": [
            "assignee_id": nil,
            "bookmarks": [ ],
            "content": [ ],
            "description": "First idea",
            "internal_tag_ids": [
                12345,
            ],
            "is_private": true,
            "name": "My first idea",
            "status": "draft",
            "story_ids": [ ],
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/ideas/ab123cd4-5e6f-7gh8-9ij1-01k112l13m1n") {
        setBody(buildJsonObject {
            putJsonObject("idea") {
                put("assignee_id", null)
                putJsonArray("bookmarks") { }
                putJsonObject("content") { }
                put("description", "First idea")
                putJsonArray("internal_tag_ids") {
                    add(12345)
                }
                put("is_private", true)
                put("name", "My first idea")
                put("status", "draft")
                putJsonArray("story_ids") { }
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: The Idea Object](/docs/api/management/ideation-room/the-ideation-room-object)
-   [Next: Internal Tags](/docs/api/management/internal-tags)
